Page MenuHomePhabricator

Edge bindings with "Drag only" -option don't work
Open, Incoming QueuePublic

Description

When an edge binding is set with "Drag only" -option enabled, dragging a window to set edge don't trigger an action. Edge bindings without "Drag only" -option work. Tested on 2 different machines with Standard E -profile, same results.

Steps to reproduce:
Select Settings -> Input -> Edge bindings -> Add, Select any edge, for example "Left", tick "Drag only", hit Apply. Choose any Action on the list, for example “Maximize left”. Try to drag an window to set edge -> Nothing happens?

I've tried to drag windows to different locations on the edge, set different delays, do it with different speed but don't manage to trigger the action.

I'm using enlightenment-0.21.8-259.3.x86_64. 1st PC: Dell Latitude E5420, Intel HD 3000 (Mobile Intel HM65 Express -chipset). distro: opensuse tumbleweed. Kernel 4.11.1. X.Org 1.19.3 driver: intel. Resolution: 1920x1080@60.00hz. 2nd PC is Lenovo T 61 with Intel graphics too.

jpeg added a subscriber: jpeg.Jun 11 2017, 7:57 PM

How come this is still opened? @zmike pushed 5 patches including one "fixing" this issue. You might want to close it manually.

zmike closed this task as Resolved.Jun 12 2017, 2:21 AM

phab bug?

Doesn't work for me. Tested like described in description aboce with two machines and E versions 0.22.3-1.1.x86_64 and 0.22.99.20180511.dd2436ec6-53.1.x86_64. Nothing happens when dragging windows to screen edges and releasing the left mouse button.

Test machines:

  1. for E 0.22.3: Dell Latitude E5420, Intel HD 3000 (Mobile Intel HM65 Express -chipset), driver: intel, 1920x1080 external monitor, X.org 1.19.6, Mesa 18.0.1, kernel 4.16.4, distro: opensuse tumbleweed.
  2. for E 0.22.99: Dell Latitude E4200, Intel Mobile 4 Series, driver: modesetting, 1280x800, X.Org 1.18, Mesa 17.0.5, kernel 4.4.92. distro: opensuse leap 42.3.
Hendrix_ks reopened this task as Open.May 18 2018, 12:16 AM
Hendrix_ks edited projects, added Restricted Project; removed Restricted Project.